petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSGLSetAcceptType

sets the acceptance test

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGLSetAcceptType(TS ts,TSGLAcceptType type)

Time integrators that need to control error must have the option to reject a time step based on local error Many brestimates. This function allows different schemes to be set. Many br

Logically Collective on TS Many br

### Input Parameters

| ts | - the TS context Many br
| type | - the type Many br

### Options Database Key

-ts_gl_accept_type <type> -sets the method used to determine whether to accept or reject a step Many br

Many br

### See Also

TS, TSGL, TSGLAcceptRegister(), TSGLAdapt, set type

Level:intermediate
Location:src/ts/impls/implicit/gl/gl.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages